The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"OpenNews: Обновление PostgreSQL в связи с обнаружением уязви..."
Вариант для распечатки  
Пред. тема | След. тема 
Форумы Разговоры, обсуждение новостей (Public)
Изначальное сообщение [ Отслеживать ]

"OpenNews: Обновление PostgreSQL в связи с обнаружением уязви..."  
Сообщение от opennews (??) on 08-Янв-08, 17:06 
Выпущены (http://www.postgresql.org/about/news.905) новые версии СУБД PostgreSQL - 8.2.6, 8.1.11, 8.0.15, 7.4.19 и 7.3.21. Обновления связаны с обнаружением уязвимостей:

-  Повышение привилегий через индексы заданные в виде функции ("expression indexes"). Данные функции могут быть вызваны другим пользователем (администратором) во время выполнения VACUUM и ANALYZE, и могут поменять права доступа через вызов SET ROLE и SET SESSION AUTHORIZATION разрешенных внутри такой функции;

-  Возможность вызова отказа в обслуживании (DoS) через задание некорректных регулярных выражений в запросе, приводящих в зацикливанию, чрезмерному потреблению памяти или краху backend процесса;

-  Получение привилегий супурпользователя через функции модуля DBLink (/contrib/dblink, выключен по умолчанию) выполняемые после беспарольной аутентификации "local trust" или "ident".

Из новшеств можно отметить улучшения в работе планировщика выполнения запросов: устранены проблемы с понижением производительности запросов с большой вложенностью, исправлена ошибка при планировании выполнения запросов вида "WHERE false AND var IN (SELECT ...)", проведена оптимизация LIKE/regex запросов для локалей отличных от "С".


Кроме того, объявлено о прекращении поддержки ветки PostgreSQL 7.3, с момента первого релиза в которой прошло 5 лет. PostgreSQL 7.3.21 - последнее обновление в данной ветке.


URL: http://www.postgresql.org/about/news.905
Новость: https://www.opennet.ru/opennews/art.shtml?num=13562

Высказать мнение | Ответить | Правка | Cообщить модератору

 Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Обновление PostgreSQL в связи с обнаружением уязвимостей"  
Сообщение от Bregor email(??) on 08-Янв-08, 17:06 
А где же новость про 8.3RC1? :)
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

2. "Обновление PostgreSQL в связи с обнаружением уязвимостей"  
Сообщение от GArik on 08-Янв-08, 17:56 
Ух ты, и правда есть rc1 =)
Только как-то запрятано.
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

3. "Обновление PostgreSQL в связи с обнаружением уязвимостей"  
Сообщение от Quiz on 08-Янв-08, 22:11 
чешется что ль?

RC1 isn't out. What's available on the ftp site is a preliminary version of
it, that should not be used.

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

4. "Обновление PostgreSQL в связи с обнаружением уязвимостей"  
Сообщение от Postgresmen on 09-Янв-08, 11:14 
Вот теперь вышел :-) Джош Беркус объявил о выходе 10 часов назад.
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Индекс форумов | Темы | Пред. тема | След. тема
Оцените тред (1=ужас, 5=супер)? [ 1 | 2 | 3 | 4 | 5 ] [Рекомендовать для помещения в FAQ]




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру